<solidify-empty-container [solidifyFocusFirstElement]="true"
                          (onEscape)="isEdit ? backToDetail() : backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [editAvailable]="editAvailable"
                                  [deleteAvailable]="deleteAvailable"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-submission-policy-form #formPresentational
                                       *ngIf="isReadyToBeDisplayedObs | async"
                                       [editAvailable]="editAvailable"
                                       [model]="currentObs | async"
                                       [listSubmissionAgreements]="listSubmissionAgreementsObs | async"
                                       [readonly]="!isEdit"
                                       (dirtyChange)="updateCanDeactivate($event)"
                                       (editChange)="edit()"
                                       (submitChange)="update($event)"
                                       (navigate)="navigate($event)"
    ></dlcm-admin-submission-policy-form>
  </div>
</solidify-empty-container>


